### Home Classes Methods

### In Files

- lib/graphviz/family_tree/generation.rb

### Parent

Object

### Methods

- #number
- #persons
- #size

### Files

- AUTHORS
- COPYING
- README.rdoc

### Class/Module Index

Quicksearch

- GraphViz
- GraphViz::Attrs
- GraphViz::Edge
- GraphViz::Elements
- GraphViz::Ext
- GraphViz::FamilyTree
- GraphViz::FamilyTree::Couple
- GraphViz::FamilyTree::Generation
- GraphViz::FamilyTree::Person
- GraphViz::FamilyTree::Sibling
- GraphViz::GraphML
- GraphViz::Math
- GraphViz::Math::CoordinateError
- GraphViz::Math::Matrix
- GraphViz::Math::ValueError
- GraphViz::Node
- GraphViz::Theory
- GraphViz::Types
- GraphViz::Types::Common
- GraphViz::Types::EscString
- GraphViz::Types::GvDouble
- GraphViz::Types::HtmlString
- GraphViz::Types::LblString
- GraphViz::XML
- Constants
- GVUtils
- Hash
- Object
- String

No matching classes.

# GraphViz::FamilyTree::Generation

### Public Instance Methods

number() click to toggle source

Generation number

    # File lib/graphviz/family_tree/generation.rb, line 29
    def number
      @gen_number
    end

persons() click to toggle source

    # File lib/graphviz/family_tree/generation.rb, line 16
    def persons
      @persons
    end

size() click to toggle source

Generation size

    # File lib/graphviz/family_tree/generation.rb, line 34
    def size
      @persons.size
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.